Konnektör hata kodunu güncelle
curl --request PUT \
--url https://vpos-sandbox.payven.com.tr/api/v1/connector-error-codes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"turkish_message": "<string>",
"english_message": "<string>",
"internal_description": "<string>",
"should_retry": true,
"http_status_suggestion": 123,
"mapped_to_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://vpos-sandbox.payven.com.tr/api/v1/connector-error-codes/{id}"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"turkish_message": "<string>",
"english_message": "<string>",
"internal_description": "<string>",
"should_retry": True,
"http_status_suggestion": 123,
"mapped_to_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
turkish_message: '<string>',
english_message: '<string>',
internal_description: '<string>',
should_retry: true,
http_status_suggestion: 123,
mapped_to_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://vpos-sandbox.payven.com.tr/api/v1/connector-error-codes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "https://docs.payven.com.tr/errors/bad_request",
"title": "Geçersiz istek",
"status": 400,
"code": "bad_request",
"detail": "amount.amount alanı zorunlu.",
"correlation_id": "9f1c8e76-2a3b-4f12-9c8d-12cb24a8a8a8"
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "https://docs.payven.com.tr/errors/idempotency_key_in_use",
"title": "Idempotency-Key çakışması",
"status": 409,
"code": "idempotency_key_in_use",
"detail": "Bu Idempotency-Key daha önce farklı bir istek gövdesi ile kullanıldı."
}{
"type": "https://docs.payven.com.tr/errors/bank_declined",
"title": "Banka işlemi reddetti",
"status": 422,
"code": "bank_declined",
"detail": "Yetersiz bakiye (banka kodu: 51)",
"provider_error_code": "51"
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}ConnectorErrorCodes
Konnektör hata kodunu güncelle
PUT
/
api
/
v1
/
connector-error-codes
/
{id}
Konnektör hata kodunu güncelle
Authorizations
Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token
Path Parameters
Body
application/json
Available options:
Technical, BankDeclined, Validation, Fraud, Configuration, Timeout, Unknown Response
No Content
⌘I